Das Backup einer influxDB v2.x lässt sich nur mit einem Operator-Token (manchmal auch als Master-Token bezeichnet) durchführen. Dieses wird während der Installation von influxDB erstellt. In der aktuellen grafischen Oberfläche lääst sich dieses Token nicht mehr anzeigen. Daher muss es über das CLI (Kommandozeile influx) ausgegeben werden.

Dazu wie folgt vorgehen
1)  Wenn in der infllux Oberfläche bereits ein all-access API Token erstellt wurde, dann weiter mit Schritt 3
2)  Ein neues all-access API Token im GUI erstellen
     ![[influx-1.png]]
   Token kopieren
   ![[influx-2.png]] Achtung, der Copy Button funktioniert nicht immer. Also evtl ctrl-C oder rechts-Klick-Kopieren nutzen
   
1)  Ausgabe der vorhandenen Tokens
   `influx auth list -t <TOKEN> --json`
2) Das erste gelistete Token ist das Operator-Token. 
   Beispiel  
```
{
     "id": "0abfe8ca7acd6aaa",
     "description": "iobroker's Token",
     "token": "<Operator-Token>",
     "status": "active",
     "userName": "iobroker",
     "userID": "0abfe8ca664d6aaa",
     "permissions": [
         "read:/authorizations",
         "write:/authorizations",
         "read:/buckets",
         "write:/buckets",
         "read:/dashboards",
         "write:/dashboards",
         "read:/orgs",
         "write:/orgs",
         "read:/sources",
         "write:/sources",
         "read:/tasks",
         "write:/tasks",
         "read:/telegrafs",
         "write:/telegrafs",
         "read:/users",
         "write:/users",
         "read:/variables",
         "write:/variables",
         "read:/scrapers",
         "write:/scrapers",
         "read:/secrets",
         "write:/secrets",
         "read:/labels",
         "write:/labels",
         "read:/views",
         "write:/views",
         "read:/documents",
         "write:/documents",
         "read:/notificationRules",
         "write:/notificationRules",
         "read:/notificationEndpoints",
         "write:/notificationEndpoints",
         "read:/checks",
         "write:/checks",
         "read:/dbrp",
         "write:/dbrp",
         "read:/notebooks",
         "write:/notebooks",
         "read:/annotations",
         "write:/annotations",
         "read:/remotes",
         "write:/remotes",
         "read:/replications",
         "write:/replications"
    ]
}
```
5) Wenn es keinen solchen Eitrag gibt, dann wurde das Operator-Token gelöscht. Auch das kann repariert werden. Hier ist ein Link zu einem Artikel [Link](https://www.rajchert.net/?p=1026)
6) Testen mit
   ```
   influx backup --bucket <iobroker-bucket> --host http://<ip-influx-server>:8086 -t <Operator-Token> "/tmp/influx-test"   
   ```
   Wenn das sauber durchläuft funktioniert das Backup und das Verzeichnis /tmp/influx-test kann gelöscht werden
   
4) Das Operator-Token  in den BackitUp Adapter Einstellungen eintragen.
